Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env
Class AbstractStateMachine.EntryListener

    java.lang.Object
      org.apache.commons.scxml.env.AbstractStateMachine.EntryListener

All Implemented Interfaces:
  SCXMLListener

Enclosing class:
  AbstractStateMachine

protected class AbstractStateMachine.EntryListener
extends Object
implements SCXMLListener

A SCXMLListener that is only concerned about "onentry" notifications.

Constructor Summary
`protected` | `AbstractStateMachine.EntryListener()`

Method Summary
`void` | `onEntry(TransitionTarget entered)` Handle the entry into a TransitionTarget.
`void` | `onExit(TransitionTarget exited)` No-op.
`void` | `onTransition(TransitionTarget from, TransitionTarget to, Transition transition)` No-op.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractStateMachine.EntryListener

    protected AbstractStateMachine.EntryListener()

Method Detail

### onEntry

    public void onEntry(TransitionTarget entered)

  Handle the entry into a TransitionTarget.

  Specified by:
    `onEntry` in interface `SCXMLListener`
  Parameters:
    `entered` - The TransitionTarget entered

### onTransition

    public void onTransition(TransitionTarget from,
                             TransitionTarget to,
                             Transition transition)

  No-op.

  Specified by:
    `onTransition` in interface `SCXMLListener`
  Parameters:
    `from` - The "source" transition target.
    `to` - The "destination" transition target.
    `transition` - The transition being followed.

### onExit

    public void onExit(TransitionTarget exited)

  No-op.

  Specified by:
    `onExit` in interface `SCXMLListener`
  Parameters:
    `exited` - The transition target being exited.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.